CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-1494

Directory traversal vulnerability in file.c in PHP 4.4.2 and 5.1.2 allows local users to bypass open_basedir restrictions allows remote attackers to create files in arbitrary directories via the tempnam function.
Publish Date : 2006-04-10 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
2.6
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity High (Specialized access conditions exist. It is hard to exploit and several special conditions must be satisfied to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Directory traversalBypass a restriction or similar
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

This issue did not affect the versions of OpenSSH as distributed with Red Hat Enterprise Linux 2.1, 3, or 4.
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2006-04-10 2006-04-08
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2006-1494 oval:org.opensuse.security:def:20061494 unix
Directory traversal vulnerability in file.c in PHP 4.4.2 and 5.1.2 allows local users to bypass open_basedir restriction... oval:org.mitre.oval:def:10196 unix
RHSA-2006:0568: php security update (Moderate) oval:com.redhat.rhsa:def:20060568 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-1494

# Product Type Vendor Product Version Update Edition Language
1 Application PHP PHP 4.0 Beta 4 Patch1 Version Details Vulnerabilities
2 Application PHP PHP 4.0 Version Details Vulnerabilities
3 Application PHP PHP 4.0 RC2 Version Details Vulnerabilities
4 Application PHP PHP 4.0 Beta1 Version Details Vulnerabilities
5 Application PHP PHP 4.0 Beta2 Version Details Vulnerabilities
6 Application PHP PHP 4.0 Beta3 Version Details Vulnerabilities
7 Application PHP PHP 4.0 Beta4 Version Details Vulnerabilities
8 Application PHP PHP 4.0 RC1 Version Details Vulnerabilities
9 Application PHP PHP 4.0.0 Version Details Vulnerabilities
10 Application PHP PHP 4.0.1 Version Details Vulnerabilities
11 Application PHP PHP 4.0.1 Patch1 Version Details Vulnerabilities
12 Application PHP PHP 4.0.1 Patch2 Version Details Vulnerabilities
13 Application PHP PHP 4.0.2 Version Details Vulnerabilities
14 Application PHP PHP 4.0.3 Version Details Vulnerabilities
15 Application PHP PHP 4.0.3 Patch1 Version Details Vulnerabilities
16 Application PHP PHP 4.0.4 Version Details Vulnerabilities
17 Application PHP PHP 4.0.4 Patch1 Version Details Vulnerabilities
18 Application PHP PHP 4.0.5 Version Details Vulnerabilities
19 Application PHP PHP 4.0.6 Version Details Vulnerabilities
20 Application PHP PHP 4.0.7 Version Details Vulnerabilities
21 Application PHP PHP 4.0.7 RC1 Version Details Vulnerabilities
22 Application PHP PHP 4.0.7 RC2 Version Details Vulnerabilities
23 Application PHP PHP 4.0.7 RC3 Version Details Vulnerabilities
24 Application PHP PHP 4.1.0 Version Details Vulnerabilities
25 Application PHP PHP 4.1.1 Version Details Vulnerabilities
26 Application PHP PHP 4.1.2 Version Details Vulnerabilities
27 Application PHP PHP 4.2 DEV Version Details Vulnerabilities
28 Application PHP PHP 4.2.0 Version Details Vulnerabilities
29 Application PHP PHP 4.2.1 Version Details Vulnerabilities
30 Application PHP PHP 4.2.2 Version Details Vulnerabilities
31 Application PHP PHP 4.2.3 Version Details Vulnerabilities
32 Application PHP PHP 4.3 Version Details Vulnerabilities
33 Application PHP PHP 4.3.1 Version Details Vulnerabilities
34 Application PHP PHP 4.3.2 Version Details Vulnerabilities
35 Application PHP PHP 4.3.3 Version Details Vulnerabilities
36 Application PHP PHP 4.3.4 Version Details Vulnerabilities
37 Application PHP PHP 4.3.5 Version Details Vulnerabilities
38 Application PHP PHP 4.3.6 Version Details Vulnerabilities
39 Application PHP PHP 4.3.7 Version Details Vulnerabilities
40 Application PHP PHP 4.3.8 Version Details Vulnerabilities
41 Application PHP PHP 4.3.9 Version Details Vulnerabilities
42 Application PHP PHP 4.3.10 Version Details Vulnerabilities
43 Application PHP PHP 4.3.11 Version Details Vulnerabilities
44 Application PHP PHP 4.4.0 Version Details Vulnerabilities
45 Application PHP PHP 4.4.1 Version Details Vulnerabilities
46 Application PHP PHP 4.4.2 Version Details Vulnerabilities
47 Application PHP PHP 5.0 RC1 Version Details Vulnerabilities
48 Application PHP PHP 5.0 RC2 Version Details Vulnerabilities
49 Application PHP PHP 5.0 RC3 Version Details Vulnerabilities
50 Application PHP PHP 5.0.0 Beta2 Version Details Vulnerabilities
51 Application PHP PHP 5.0.0 Beta3 Version Details Vulnerabilities
52 Application PHP PHP 5.0.0 Beta4 Version Details Vulnerabilities
53 Application PHP PHP 5.0.0 RC1 Version Details Vulnerabilities
54 Application PHP PHP 5.0.0 Version Details Vulnerabilities
55 Application PHP PHP 5.0.0 RC2 Version Details Vulnerabilities
56 Application PHP PHP 5.0.0 Beta1 Version Details Vulnerabilities
57 Application PHP PHP 5.0.0 RC3 Version Details Vulnerabilities
58 Application PHP PHP 5.0.1 Version Details Vulnerabilities
59 Application PHP PHP 5.0.2 Version Details Vulnerabilities
60 Application PHP PHP 5.0.3 Version Details Vulnerabilities
61 Application PHP PHP 5.0.4 Version Details Vulnerabilities
62 Application PHP PHP 5.0.5 Version Details Vulnerabilities
63 Application PHP PHP 5.1 Version Details Vulnerabilities
64 Application PHP PHP 5.1.0 Version Details Vulnerabilities
65 Application PHP PHP 5.1.1 Version Details Vulnerabilities
66 Application PHP PHP 5.1.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
PHP PHP 66

- References For CVE-2006-1494

ftp://patches.sgi.com/support/free/security/advisories/20060701-01-U
SGI 20060701-01-U
http://rhn.redhat.com/errata/RHSA-2006-0549.html
REDHAT RHSA-2006:0549
http://secunia.com/advisories/19775
SECUNIA 19775
http://secunia.com/advisories/19979
SECUNIA 19979
http://secunia.com/advisories/21031
SECUNIA 21031
http://secunia.com/advisories/21125
SECUNIA 21125
http://secunia.com/advisories/21135
SECUNIA 21135
http://secunia.com/advisories/21202
SECUNIA 21202
http://securityreason.com/securityalert/677
SREASON 677
http://secunia.com/advisories/22225
SECUNIA 22225
http://secunia.com/advisories/21723
SECUNIA 21723
http://secunia.com/advisories/21252
SECUNIA 21252
http://securitytracker.com/id?1015881
SECTRACK 1015881
http://support.avaya.com/elmodocs2/security/ASA-2006-175.htm CONFIRM
http://www.frsirt.com/english/advisories/2006/1290
VUPEN ADV-2006-1290
http://www.mandriva.com/security/advisories?name=MDKSA-2006:074
MANDRIVA MDKSA-2006:074
http://www.securityfocus.com/archive/1/archive/1/447866/100/0/threaded
BUGTRAQ 20061005 rPSA-2006-0182-1 php php-mysql php-pgsql
http://www.redhat.com/support/errata/RHSA-2006-0568.html
REDHAT RHSA-2006:0568
http://www.redhat.com/support/errata/RHSA-2006-0567.html
REDHAT RHSA-2006:0567
http://www.novell.com/linux/security/advisories/05-05-2006.html
SUSE SUSE-SA:2006:024
http://www.securityfocus.com/bid/17439
BID 17439 PHP Multiple Safe_Mode and Open_Basedir Restriction Bypass Vulnerabilities Release Date:2007-01-25
https://issues.rpath.com/browse/RPL-683 CONFIRM
http://xforce.iss.net/xforce/xfdb/25705
XF php-tempnam-directory-traversal(25705)
http://secunia.com/advisories/19599
SECUNIA 19599
http://securityreason.com/achievement_securityalert/36
SREASONRES 20060408 tempnam() open_basedir bypass PHP 4.4.2 and 5.1.2
http://www.ubuntu.com/usn/usn-320-1
UBUNTU USN-320-1

- Metasploit Modules Related To CVE-2006-1494

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.